Debian Bug report logs - #687906
coreutils: FTBFS: tests too system-configuration-dependent

version graph

Package: src:coreutils; Maintainer for src:coreutils is Michael Stone <mstone@debian.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Mon, 17 Sep 2012 01:15:01 UTC

Severity: serious

Found in version coreutils/8.13-3.3

Fixed in versions coreutils/8.13-3.5, coreutils/8.21-1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, david@tilapin.org, Michael Stone <mstone@debian.org>:
Bug#687906; Package src:coreutils. (Mon, 17 Sep 2012 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to david@tilapin.org, Michael Stone <mstone@debian.org>. (Mon, 17 Sep 2012 01:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: [powerpc] coreutils: fails to build from source (test-futimens failure)
Date: Sun, 16 Sep 2012 20:13:40 -0500
Source: coreutils
Version: 8.13-3.3
Severity: serious
Justification: FTBFS but build correctly in the past

David Prévot wrote:

> I guess you already get the mails (coreutils failed to build on powerpc
> and ia64 [0]). After a quick glance, test-futimens failed on powerpc
> while it pass during the previous build, and cp/fiemap-perf failed on
> ia64 while it was skipped during the previous build.

The test-futimens failure on porpora matches
<http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/28809>.  I assume
the autobuilders don't use NFS, though.

The cp/fiemap-perf failure on caballero feels like
<http://debbugs.gnu.org/11965>.  Do you know what filesystem caballero
uses for the build tree?

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#687906; Package src:coreutils. (Mon, 19 Nov 2012 23:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 19 Nov 2012 23:51:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 687906@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#687906: [powerpc] coreutils: fails to build from source (test-futimens failure)
Date: Mon, 19 Nov 2012 18:46:25 -0500
Control: retitile -1 coreutils: FTBFS: tests too system-configuration-dependent

The real problem here seems to be that the tests are overly dependent on
the build system's configuration: tests can be run or not based on
things like what filesystems are mounted, whether the there are writable
directories on other filesystems, whether the build user has a second
group, or whether or not things like SElinux, Python, or a particular
Perl package are available.

From the looks of things, the story is quite similar with respect to
when tests will fail despite everything doing what it should do, except
of course the conditions are much murkier (and aren't printed on
stdout/stderr, like those for most skipped tests).

Suggestion: explicitly disable the tests that are conditioned on
unpredictable system configuration details like the above, since there's
no telling how the buildds are configured.

--
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#687906; Package src:coreutils. (Mon, 19 Nov 2012 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 19 Nov 2012 23:51:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'coreutils: FTBFS: tests too system-configuration-dependent' from '[powerpc] coreutils: fails to build from source (test-futimens failure)' Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Tue, 20 Nov 2012 19:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#687906; Package src:coreutils. (Sat, 26 Jan 2013 16:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sat, 26 Jan 2013 16:30:09 GMT) Full text and rfc822 format available.

Message #22 received at 687906@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: debian-release@lists.debian.org
Cc: 687906@bugs.debian.org
Subject: coreutils t-p-u for #687906?
Date: Sat, 26 Jan 2013 16:26:19 +0000
[Message part 1 (text/plain, inline)]
Hi folks,

Slightly confused by the packages.qa.d.o page about coreutils, I
started investigating FTBFS on powerpc. I've since seen that 8.13-3.4
is already built and installed everywhere, but it reliably fails to
build for me with testsuite failures similar to those reported in
#687906, reported against 8.13-3.3. Building on my local powerpc box
works with the attached debdiff, and I'm worried about maybe releasing
wheezy with stuff that doesn't build. What do you think of this debdiff?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Can't keep my eyes from the circling sky,
Tongue-tied & twisted, Just an earth-bound misfit, I...
[coreutils_8.13-3.5.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#687906; Package src:coreutils. (Sat, 26 Jan 2013 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sat, 26 Jan 2013 16:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 687906@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: debian-release@lists.debian.org, 687906@bugs.debian.org
Subject: Re: coreutils t-p-u for #687906?
Date: Sat, 26 Jan 2013 16:37:27 +0000
[Message part 1 (text/plain, inline)]
On Sat, Jan 26, 2013 at 16:26:19 +0000, Steve McIntyre wrote:

> Hi folks,
> 
> Slightly confused by the packages.qa.d.o page about coreutils, I
> started investigating FTBFS on powerpc. I've since seen that 8.13-3.4
> is already built and installed everywhere, but it reliably fails to
> build for me with testsuite failures similar to those reported in
> #687906, reported against 8.13-3.3. Building on my local powerpc box
> works with the attached debdiff, and I'm worried about maybe releasing
> wheezy with stuff that doesn't build. What do you think of this debdiff?
> 
Looks fine to me.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sat, 26 Jan 2013 17:03:20 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Sat, 26 Jan 2013 17:03:20 GMT) Full text and rfc822 format available.

Message #32 received at 687906-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 687906-close@bugs.debian.org
Subject: Bug#687906: fixed in coreutils 8.13-3.5
Date: Sat, 26 Jan 2013 17:02:47 +0000
Source: coreutils
Source-Version: 8.13-3.5

We believe that the bug you reported is fixed in the latest version of
coreutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated coreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 26 Jan 2013 12:10:17 +0000
Source: coreutils
Binary: coreutils mktemp
Architecture: source all powerpc
Version: 8.13-3.5
Distribution: wheezy
Urgency: low
Maintainer: Michael Stone <mstone@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 coreutils  - GNU core utilities
 mktemp     - coreutils mktemp transitional package
Closes: 687906
Changes: 
 coreutils (8.13-3.5) wheezy; urgency=low
 .
   * Non-maintainer upload.
   * Multiple test-suite fixes. Closes: #687906
     + Extend the fix for #685238: recognise if valgrind is not
       installed and skip the test
     + Apply upstream fix in the test for parse-datetime so that it works
       regardless of system DST status
Checksums-Sha1: 
 d6f388f1a5d978a74336ee89f574aa74a31f0057 1876 coreutils_8.13-3.5.dsc
 7dbe083e639f7db5e7702ad260dae63ad0026c68 1228098 coreutils_8.13-3.5.diff.gz
 d770b9c5ea54ddf4df6b859495b30835cb841fb8 16328 mktemp_8.13-3.5_all.deb
 9f1baa738f93c6cca1b7fa51dceb7a557663f0d7 5453864 coreutils_8.13-3.5_powerpc.deb
Checksums-Sha256: 
 c23616e36ed4a58fe735010bfdc7f411dde0313b81832c41b9194f597324f80a 1876 coreutils_8.13-3.5.dsc
 f5c1ab9b8be1364cfad3a422f8f351c016412a691c9a30117bc265654acfaf8e 1228098 coreutils_8.13-3.5.diff.gz
 f010bd876c499526c314401b43397644fd56f457680fc2bb7044872d2eaf2f6b 16328 mktemp_8.13-3.5_all.deb
 8d0fe5cf641515de0c4af438ebe43bfd91cc4e577912f34d512ae90d0cfab05b 5453864 coreutils_8.13-3.5_powerpc.deb
Files: 
 2efa09e43755b4d95eb8cc642d81cfb3 1876 utils required coreutils_8.13-3.5.dsc
 e8e5b2fc43a4d49adc775e133956be4b 1228098 utils required coreutils_8.13-3.5.diff.gz
 7f1963b0f2271e23a30e109e6f8ef85f 16328 oldlibs extra mktemp_8.13-3.5_all.deb
 b2366547b9f43983608f2775389210b3 5453864 utils required coreutils_8.13-3.5_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBAeWAAoJEFh5eVc0QmhObXoQAMQtXdc4y8e2s34zQd1ruBUu
Ei3FiY6T0n6JDxta6udhtoyag+MHfC4eN3HcafvjF2/Uwtwl4HTLkAqVuaAo331u
cLV5Ef02rZxMaEqTugXfGrMyNuxtxiMz052NgyVz3cadOEaRnTbmWyRLXsm30pSW
He2pf8yv0BSyBeEOKoDTW9r06QJ9khCADXLU6LbFTe08P/WXXq0qCWna0KRq5Dn3
8pzOI6Q6V9XkmBQCLFmSsqPPxhiQEclAZEt6HmMwQmHSwODjsH14zigo/JDyPowL
O+RuMiL6d5yAoWNgkzYUjuguOSolpXQDnTAJhvxnxTDkoPqkZQg4UpoMMJz8rA4V
dgDrpaDmAiUmtudEojxUTQRK82jpzOiUcuedPPZ6YXXAHyAa/4D+McupZCSQKK64
XTw2mqkJz2BqJPjX6IIRja0LcpZ0wpqUrmqT2Ck57MILAM3McJNbcIjbjZDk7zPO
I1OQMDJ43tmdQZtM94arEDpVglsRBB4UPeaxXjYd6vLik3UV5BpEmVjj+cnrz6Zu
UUbuakB5nglu9sIRGxXC4o5895RhJnE9UhzZyaG0p7BTjyuVdD7qh9M/b+OX/Uur
5g7IBXSLMt01M8ZMNnxULPqM1V5jiiVq6ov1RXGJO8wPHOqen0L0tPyPlAWz/gl1
8QbDI4yt30r60tIoNif7
=gnef
-----END PGP SIGNATURE-----




Marked as fixed in versions coreutils/8.21-1. Request was from Michael Stone <mstone@debian.org> to control@bugs.debian.org. (Sat, 03 Aug 2013 20:45:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Sep 2013 07:25:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:08:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.